現在、Windows NT4.0(Service Pack 5)を使用しています。
先日、Service Pack 6aをインストールしようとしたところ下記のようなメッセージがでました。

----------
標準の暗号化バージョンのService Packを、高度な暗号化のシステムにインストールするよう選択しました。
これはサポートされていません。
このバージョンのService Packをインストールするには、高度な暗号化バージョンをインストールする必要があります。
このService Packの高度な暗号化バージョンの入手方法については、[ヘルプ]をクリックしてください。
Service Packセットアップを終了します。
----------

ヘルプを見たのですが理解できずに困っています。
どのようにすればインストールができるようになるのでしょうか?

このQ&Aに関連する最新のQ&A

A 回答 (3件)

現在インストールされている SP5 の CD かファイルがあれば、IE をアンインストール


した後、件の dllファイルを置き換えればインストールできるかもしれません。

 1.IE をアンインストールします。

 2.%windir%\system32 フォルダにある SCHANNEL.DLL の名前を変更します(例えば、
  SCHANNEL.OLD 等)。

 3.SP5 の CD(又はファイルを解凍したもの)の \i386 フォルダにある SCHANNEL.DLL
  を %windir%\system32 フォルダにコピーします。

 4.NT を再起動します。

 5.無事起動できたら、2で名前を変えたファイルを削除します(間違ってコピーした
SCHANNEL.DLL を削除しない様に注意)。

 6.SP6a をインストールします。

 7.IE を再インストールします。

参考URL:http://www.microsoft.com/japan/support/kb/articl …
    • good
    • 0
この回答へのお礼

ありがとうございました。
やっとService Pack 6aをインストールすることが出来ました。
これでIE6などもインストール出来ます。

お礼日時:2002/01/24 21:07

SPを当てる前にInternetExplore5.5がすでにインストールされているのが原因ですね。



1番目の方がおっしゃっているように『Update.inf』ファイルの以下の記述を編集すればOKです。

[CheckSecurity.System32.files]

; SCHANNEL.DLL ←このように「;」を付けてあげる。

ただ、Intel系のマシンの場合、SPのCD-ROM丸ごとではなくて、「i386」フォルダだけをHDにコピーすれば大丈夫ですよ。
    • good
    • 0
この回答へのお礼

解答ありがとうございます。

ただ、インストール方法がMicrosoftのホームページ上からダウンロードした「sp6patch_i386」というファイルから行おうとしているのでCD-ROMからコピーということが出来ません。

オンラインを使用してインストールする方法はないものなんでしょうか?

もしご存知でしたらお願い致します。

お礼日時:2002/01/23 18:32

この問題は、IE 5.5以降の 128ビット暗号化バージョンの IEがインストール


されているか、高度暗号化パックがインストールされていると発生します。

この問題を解決するには、セットアップ情報ファイルを書き換えなくては
なりません。

Intel(又は互換)CPU マシンの場合の手順を示しておきます。

 1.任意のフォルダを作成し、SP6a の CD を丸ごと ハードディスクにコピー
  します( SP6a が CD の場合)。

 2.[ SP6a のフォルダ ]\i386\update フォルダにある update.inf ファイル
  のプロパティで、「読み取り専用」のチェックを外します( CD からコピー
  した場合)。

 3.update.inf ファイルをメモ帳などで開き、
  [CheckSecurity.System32.files] セクションを探します。

 4.SCHANNEL.DLL と書いてある行の先頭にセミコロン ”; ”を追加してコメント
  にし、ファイルを保存します。

 5.後は、通常のインストール手順でインストールしてください。

※(コピーした)SP6a のフォルダ全体を CD-R 等に焼いておくと、次回からは
 通常の手順だけでインストールできて便利ですよ。

参考URL:http://support.microsoft.com/default.aspx?scid=h …
    • good
    • 0
この回答へのお礼

解答ありがとうございます。

ただ、インストール方法がMicrosoftのホームページ上からダウンロードした「sp6patch_i386」というファイルから行おうとしているのでCD-ROMからコピーということが出来ません。

オンラインを使用してインストールする方法はないものなんでしょうか?

もしご存知でしたらお願い致します。

お礼日時:2002/01/23 18:32

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!

このQ&Aと関連する良く見られている質問

QWindows NT 4.0 Service Pack 6a以降を探しています。

Windows NT 4.0 Service Pack 6a以降を
www.microsoft.com
からダウンロードしたいのですが見つかりません。
詳しくどこにあるのか教えていただけませんでしょうか?
よろしく御願いします。

Aベストアンサー

NT-SP6aの後には、セキュリティーロールアップパッケージ(SRP)という、パッチ集が出ているだけです。URLは一番下をご参照ください。

なお、以下の予定にはNTが含まれていないので、やはり今後については見捨てられたのかもしれませんね..。
http://itpro.nikkeibp.co.jp/free/NOS/NEWS/20020416/1/
「MS,今夏までに新規のセキュリティ向上ツールを提供」

なおSRP以降のパッチについては、
http://www.microsoft.com/japan/technet/treeview/default.asp?url=/japan/technet/security/current.asp?sel_id=001&info=all&opttop=30
この中から該当する物を選べばいいと思います。

参考URL:http://www.microsoft.com/japan/technet/treeview/default.asp?url=/japan/technet/security/news/nt4srp.asp

NT-SP6aの後には、セキュリティーロールアップパッケージ(SRP)という、パッチ集が出ているだけです。URLは一番下をご参照ください。

なお、以下の予定にはNTが含まれていないので、やはり今後については見捨てられたのかもしれませんね..。
http://itpro.nikkeibp.co.jp/free/NOS/NEWS/20020416/1/
「MS,今夏までに新規のセキュリティ向上ツールを提供」

なおSRP以降のパッチについては、
http://www.microsoft.com/japan/technet/treeview/default.asp?url=/japan/technet/security/current.asp?se...続きを読む

Q高度暗号化FDって、インストールするとどうなるの?

OSをウィンドウズ2000にしたのですが、高度暗号化FDをインストールするとどうなるの?
インストールする必要はあるのですか?

Aベストアンサー

>インストールする必要はあるのですか?

現在最新の Service Pack である SP3 では、
(正確にはひとつ前の SP2 から)
「高度暗号化 (128-bit) が既定の標準」
となっています。
以前は米国の禁輸規制により
「米国以外に高度暗号化製品を輸出するのはダメ!」
だったのですが、この規制が緩和され OK になりました。
あまり深く考えず使ってます(^^;。

恐らく目に見える「必要性」として、
「SSL (Secure Socket Layer) の使用範囲が広がる」
ことがあります。
通販サイトなどでブラウザの右下にカギマークがでる例のアレです。稀に 128-bit の暗号強度を持っていないと使えない場合があります。

しかし、何か Service Pack を導入できない理由がなければ、いまさら「高度暗号化パック」をインストールするより、SP3 を当てることをお薦めします。

参考URL:http://www.microsoft.com/japan/windows2000/downloads/servicepacks/sp3/default.asp

>インストールする必要はあるのですか?

現在最新の Service Pack である SP3 では、
(正確にはひとつ前の SP2 から)
「高度暗号化 (128-bit) が既定の標準」
となっています。
以前は米国の禁輸規制により
「米国以外に高度暗号化製品を輸出するのはダメ!」
だったのですが、この規制が緩和され OK になりました。
あまり深く考えず使ってます(^^;。

恐らく目に見える「必要性」として、
「SSL (Secure Socket Layer) の使用範囲が広がる」
ことがあります。
通販サイトなどでブラウザの...続きを読む

QWindowsNT 4.0 service pack1.0でインターネットがしたいです。

PC初心者の私には、この古いタイプのOSではインターネットができるようにする設定のやり方が全くわかりません。プロパイダはDIONのADSLです。
今、家族用で使用しているこの最新PCの時は「DIONらくらく設定ツール」というCD-ROMを使用し、指示通りにやったので簡単でしたが、NTではこのCD-ROMも使用できないのです(泣)
NTでは設定は難しいのでしょうか?
どうすればいいのでしょうか?
どんな事でも結構ですので、どなたか何か良いアドバイスお願い致します。

Aベストアンサー

> 早速のお返事ありがとう御座います。
> お恥ずかしいですが、
> ブロードバンドルーターを使ってADSL接続するようにして、
> IPアドレスを指定するそのやり方をお教えいただけませんでしょうか?

Webの検索を掛ければいくらでも参考になる情報が出てきますよ。

●e-mansion WindowsNT 4.0での設定
http://www.em-net.ne.jp/sp/gd/gd04_10.html

この程度の情報も検索できないようでしたら、WindowsNTでの運用は避けた方が
よいと思います。厳しい言い方にも聞こえますが、現状 WindowsNT向けの情報は
非常に少なくなっています。ソフトウェア、ハードウェアともに WindowsNTで
の動作を保証しているものが急速に減っていますし、今後いろいろと利用をされる
予定であれば、やはり利用する上で障害とならない程度のOS
(最低でも Windows2000 Pro以上など)に切り替えた方がまだ混乱しないと
思いますよ。

QWindows 2000 Service Pack の再インストール

IE6をアンインストールができなかったので不思議に思い、Readme.txtをみたら次のような記載がありました。
SP2の再インストールを行った後のIE6のアンインストールはできないのでしょうか?

>Windows 2000 Service Pack の再インストールの禁止
>-------------------------------------------------
>Windows 2000 Service Pack を再インストールすると、Internet Explorerを
>アンインストールできなくなります。Service Pack の再インストールは、
>Windows NT 4.0 オペレーティングシステムでは推奨していましたが、現在、
>Windows 2000 Service Pack チームでは推奨していません。これは、Windowsの
>ファイル保護によって、システム ファイルの破壊を防いでいるからです。

Aベストアンサー

アインストールは出来ないようですが、下記の方法で修復して、5.0に戻せます。(ゴミは残りますが)
IE6.0はXP用ですので、インストールはしない方が良いと思います。

2000を上書き(修復インストール)を実行する。
IEは5.0に戻ります。

改めてService Pack2 と IE5.5をインストールする。

クール

QService Pack 3をインストールできない

Animation Masterというソフト(Win98用)をインストールしようとしたらWin2000だからServicePack3をインストールしてくださいといわれました

でインストールしたらプロシージャエントリポイント Setupapi.CM_Disable_DevNodeがダイナミックリンクライブラリ CFGMGR32.dllから見つかりませんでした

といわれました。いったいなにのことなのでしょうか?使っているのは日本語Windows2000です。上のメッセージはファイルを展開した最後に起きます

Aベストアンサー

 Windows 2000用のサービスパックは3はおろか、2すら出ていません。
おそらくソフトウェアが内部でWindowsNTであることを判定し、NT4.0
のサービスパックを要求しただけでしょう。

要するに使えないということです。


人気Q&Aランキング

おすすめ情報